---
title: '<aside>: The Aside element'
slug: Web/HTML/Element/aside
tags:
  - Element
  - HTML
  - HTML sections
  - HTML5
  - 'HTML:Flow content'
  - 'HTML:Palpable Content'
  - 'HTML:Sectioning content'
  - Reference
  - Web
---
<div>{{HTMLRef}}</div>

<p><span class="seoSummary">The <strong>HTML <code>&lt;aside&gt;</code> element</strong> represents a portion of a document whose content is only indirectly related to the document's main content.</span> Asides are frequently presented as sidebars or call-out boxes.</p>

<div>{{EmbedInteractiveExample("pages/tabbed/aside.html", "tabbed-standard")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples </a> and send us a pull request.</div>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row"><a href="/en-US/docs/Web/Guide/HTML/Content_categories">Content categories</a></th>
   <td><a href="/en-US/docs/Web/Guide/HTML/Content_categories#Flow_content">Flow content</a>, <a href="/en-US/docs/Web/Guide/HTML/Content_categories#Sectioning_content">sectioning content</a>, <a href="/en-US/docs/Web/Guide/HTML/Content_categories#Palpable_content">palpable content</a>.</td>
  </tr>
  <tr>
   <th scope="row">Permitted content</th>
   <td><a href="/en-US/docs/Web/Guide/HTML/Content_categories#Flow_content">Flow content</a>.</td>
  </tr>
  <tr>
   <th scope="row">Tag omission</th>
   <td>{{no_tag_omission}}</td>
  </tr>
  <tr>
   <th scope="row">Permitted parents</th>
   <td>Any element that accepts <a href="/en-US/docs/Web/Guide/HTML/Content_categories#Flow_content">flow content</a>. Note that an <code>&lt;aside&gt;</code> element must not be a descendant of an {{HTMLElement("address")}} element.</td>
  </tr>
  <tr>
   <th scope="row">Implicit ARIA role</th>
   <td><code><a href="/en-US/docs/Web/Accessibility/ARIA/Roles/Complementary_role">complementary</a></code></td>
  </tr>
  <tr>
   <th scope="row">Permitted ARIA roles</th>
   <td>{{ARIARole("feed")}}, {{ARIARole("none")}}, {{ARIARole("note")}}, {{ARIARole("presentation")}}, {{ARIARole("region")}}, {{ARIARole("search")}}</td>
  </tr>
  <tr>
   <th scope="row">DOM interface</th>
   <td>{{domxref("HTMLElement")}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Attributes">Attributes</h2>

<p>This element only includes the <a href="/en-US/docs/Web/HTML/Global_attributes">global attributes</a>.</p>

<h2 id="Usage_notes">Usage notes</h2>

<ul>
 <li>Do not use the <code>&lt;aside&gt;</code> element to tag parenthesized text, as this kind of text is considered part of the main flow.</li>
</ul>

<h2 id="Examples">Examples</h2>

<h3 id="Using_&lt;aside&gt;">Using &lt;aside&gt;</h3>

<p>This example uses <code>&lt;aside&gt;</code> to mark up a paragraph in an article. The paragraph is only indirectly related to the main article content:</p>

<pre class="brush: html">&lt;article&gt;
  &lt;p&gt;
    The Disney movie &lt;cite&gt;The Little Mermaid&lt;/cite&gt; was
    first released to theatres in 1989.
  &lt;/p&gt;
  &lt;aside&gt;
    &lt;p&gt;
      The movie earned $87 million during its initial release.
    &lt;/p&gt;
  &lt;/aside&gt;
  &lt;p&gt;
    More info about the movie...
  &lt;/p&gt;
&lt;/article&gt;</pre>

<p>{{EmbedLiveSample("Examples")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', 'semantics.html#the-aside-element', '&lt;aside&gt;')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', 'sections.html#the-aside-element', '&lt;aside&gt;')}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a class="external" href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</div>

<p>{{Compat("html.elements.aside")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>Other section-related elements: {{HTMLElement("body")}}, {{HTMLElement("article")}}, {{HTMLElement("section")}}, {{HTMLElement("nav")}}, {{HTMLElement("h1")}}, {{HTMLElement("h2")}}, {{HTMLElement("h3")}}, {{HTMLElement("h4")}}, {{HTMLElement("h5")}}, {{HTMLElement("h6")}}, {{HTMLElement("hgroup")}}, {{HTMLElement("header")}}, {{HTMLElement("footer")}}, {{HTMLElement("address")}};</li>
 <li><a href="/en-US/docs/Web/Guide/HTML/Using_HTML_sections_and_outlines">Using HTML sections and outlines</a></li>
 <li><a href="/en-US/docs/Web/Accessibility/ARIA/Roles/Complementary_role">ARIA: Complementary role</a></li>
</ul>
